<!doctype html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta name="description"
          content="Exercise in the latest features of Javascript modules in web browsers.">
    <meta name="author" content="Matt Daniel Brown">
    <meta name="viewport"
          content="width=device-width, height=device-height, user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0">
    <title>Exercises in using Modern Javascript Modules Web Browsers</title>
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <link rel="apple-touch-icon" href="apple-touch-icon.png">
    <!-- Place favicon.ico in the root directory -->
    <!-- build:css styles/main.css -->
    <link rel="stylesheet" href="styles/main.css">
    <!-- endbuild -->
  </head>
  <body>
    <!--[if IE]><p class="browserupgrade">You are using an <strong>outdated</strong> browser. Please <a href="http://browsehappy.com/">upgrade your browser</a> to improve your experience.</p><![endif]-->

    <!-- NAVIGATION BAR ———————————————————————————————————————————————————— -->
    <nav role="navigation">
      <ul>
        <li><a href="#" class="active">Home</a></li>
        <li><a href="#">Link</a></li>
        <li><a href="#">Link</a></li>
        <li><a href="#">Link</a></li>
      </ul>
    </nav>

    <!-- PAGE HEADER ————————————————————————————————————————————————————————-->
    <header role="banner">
      <hgroup>
        <h1>Site Title</h1>
        <h2>Page Title</h2>
      </hgroup>
    </header>

    <!-- MAIN PAGE CONTENT ————————————————————————————————————————————————— -->
    <main role="main">
      <section id="section-one">

        <h3>Section One Title</h3>

        <h4>Subsection One Title</h4>
        <p>Lorem ipsum dolor sit amet, consectetur adipisicing elit.
           Ad dolor et exercitationem fugit, in inventore nisi officiis
           perferendis quas repudiandae saepe temporibus voluptates?
           Accusantium aspernatur dolorum fugiat nobis officiis porro!
           sed do eiusmod tempor incididunt ut labore et dolore magna
           aliqua. Ut enim ad minim veniam, quis nostrud exercitation
           ullamco laboris nisi ut aliquip ex ea commodo consequat.
           Duis aute irure dolor in</p>

        <figure>
          <img src="https://placehold.it/480x320" alt="Placeholder Image" width="480" height="320">
          <figcaption>Placeholder Image Media</figcaption>
        </figure>

        <h4>Subsection Two Title</h4>
        <p>Vivamus sagittis lacus vel augue laoreet rutrum faucibus.
           Tityre, tu patulae recubans sub tegmine fagi dolor. Nec
           dubitamus multa iter quae et nos invenerat. Curabitur
           est gravida et libero vitae dictum. Quisque ut dolor
           gravida, placerat libero vel, euismod.</p>

      </section>

      <section id="section-two">
        <h3>Section Two Title</h3>
        <h4>Subsection Title</h4>
        <p>Quisque placerat facilisis egestas cillum dolore.
           Etiam habebis sem dicantur magna mollis euismod.
           Fictum, deserunt mollit anim laborum astutumque!
           Quam diu etiam furor iste tuus nos eludet? A
           communi observantia non est recedendum. Me non
           paenitet nullum festiviorem excogitasse ad hoc.</p>

        <h4>Buttons</h4>
        <ul class="button-list">
          <li><button type="button">Default</button></li>
          <li><button type="button" class="primary">Primary</button></li>
          <li><button type="button" class="secondary">Secondary</button></li>
          <li><button type="button" class="outline">Outline</button></li>
        </ul>

      </section>

      <section id="section-three">
        <h3>Form Inputs</h3>
        <form action="#">
          <fieldset>
            <legend>Form Legend</legend>
            <div class="form-control">
              <label for="text-input">Text Input</label>
              <input type="text" name="text-input" id="text-input" placeholder="Text Input">
            </div>
            <div class="form-control">
              <label for="email-input">Email Input</label>
              <input type="email" name="email-input" id="email-input" placeholder="Email Input">
            </div>
            <div class="form-control">
              <label for="textarea-input">Textarea Input</label>
              <textarea name="textarea-input" id="textarea-input" cols="30" rows="10" placeholder="Textarea Input"></textarea>
            </div>
          </fieldset>
          <fieldset>
            <div class="form-control">
              <input type="submit" value="Submit Form">
            </div>
          </fieldset>
        </form>
      </section>

    </main>

    <!-- PAGE FOOTER ————————————————————————————————————————————————————————-->
    <footer role="contentinfo">
      <p>Copyright &copy; 2020. All Rights Reserved</p>
    </footer>

    <!-- ==== JAVASCRIPT =================================================== -->
    <!-- build:js scripts/vendor.js -->
    <script type="text/javascript" src="/node_modules/jquery/dist/jquery.min.js"></script>
    <!-- endbuild -->
    <!-- build:js scripts/main.js -->
    <script type="module" src="./scripts/webcomponents/form-control/form-control.js"></script>
    <script src="scripts/main.js"></script>
    <!-- endbuild -->
  </body>
</html>
